%define upstream_name    Dist-Zilla-Plugin-Git
%define upstream_version 1.102430

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Commit dist.ini and changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This set of plugins for the Dist::Zilla manpage can do interesting
things for module authors using git to track their work. The following
plugins are provided in this distribution:
 * Dist::Zilla::Plugin::Git::Check
 * Dist::Zilla::Plugin::Git::Commit
 * Dist::Zilla::Plugin::Git::Tag
 * Dist::Zilla::Plugin::Git::Push

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Sep 04 2010 Jérôme Quelin <jquelin@mandriva.org> 1.102.430-1mdv2011.0
+ Revision: 575737
- update to 1.102430

* Tue Aug 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1.102.380-1mdv2011.0
+ Revision: 574789
- update to 1.102380

* Thu Jul 29 2010 Jérôme Quelin <jquelin@mandriva.org> 1.102.90-1mdv2011.0
+ Revision: 562993
- update to 1.102090
- update to 1.102040
- adding minimum version in buildrequires:
- update to 1.101801

* Wed Apr 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.970-1mdv2010.1
+ Revision: 532712
- update to 1.100970

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.900-1mdv2010.1
+ Revision: 530376
- update to 1.100900

* Wed Mar 17 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.760-1mdv2010.1
+ Revision: 523955
- update to 1.100760

* Wed Mar 17 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.750-1mdv2010.1
+ Revision: 523433
- update to 1.100750

* Tue Mar 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.741-1mdv2010.1
+ Revision: 521620
- update to 1.100741

* Wed Mar 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.690-1mdv2010.1
+ Revision: 517393
- update to 1.100690
- update to 1.100681

* Mon Mar 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.660-1mdv2010.1
+ Revision: 515660
- update to 1.100660

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.430-1mdv2010.1
+ Revision: 505269
- update to 1.100430

* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.410-1mdv2010.1
+ Revision: 474742
- update to 1.093410

* Sun Nov 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.300-1mdv2010.1
+ Revision: 471063
- adding missing buildrequires:
- update to 1.093300

* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.250-1mdv2010.1
+ Revision: 468666
- import perl-Dist-Zilla-Plugin-Git


* Sun Nov 22 2009 cpan2dist 1.093250-1mdv
- initial mdv release, generated with cpan2dist
